#### D.4.19.18 readNmzData

Procedure from library `normaliz.lib` (see normaliz_lib).

Usage:
  readNmzData(string suffix);

Return:
  Reads an output file of Normaliz containing an integer matrix and returns it as an intmat. For example, this function is useful if one wants to inspect the support hyperplanes. The filename is created from the current filename and the suffix given to the function.

Note:
  Needs an explicit filename set by setNmzFilename.
  Note that all functions in normaliz.lib write and read their data automatically so that readNmzData will usually not be used explicitly.
  This function reads only the first matrix in a file!

Example:

    LIB "normaliz.lib";
    setNmzFilename("VeryInteresting");
    intmat sgr[3][3]=1,2,3,4,5,6,7,8,10;
    intmat sgrnormal=normaliz(sgr,0);
    readNmzData("cst");
    ==> -2,-2,3,
    ==> -4,11,-6,
    ==> 1,-2,1

See also: rmNmzFiles; setNmzDataPath; setNmzFilename; writeNmzData.

User manual for Singular version 4-0-3, 2016, generated by texi2html.